Kirjoittaja Aihe: Wi-fi yhteys pätkii  (Luettu 3026 kertaa)

0 jäsentä ja 1 Vieras katselee tätä aihetta.

Poissa RaijaR

  • Jäsen
  • Viestejä: 1194
  • Sukupuoli: Nainen
Wi-fi yhteys pätkii
« : 21.10.2019 - klo:13:47 »
NUCissani on Intelin wlan-kortti, joka menee "tukkoon" silloin tällöin. Samaa vikaa tuntuu olevan monessa muussakin distrossa. Ongelma on se, etten ymmärrä, mitä koneeseen pitäisi ladata/pätsätä, että wifi toimisi OK.
Tässä lienee vika korjattu, mutta allekirjoittanut toivoo käännöstä "naisen logiikalle"  ;)

https://bugs.launchpad.net/ubuntu/+source/linux-oem-osp1/+bug/1834415
https://bugs.launchpad.net/hwe-next/+bug/1833065

kone3:~ # uname -r
4.12.14-lp151.28.20-default
kone3:~ # iwconfig
lo        no wireless extensions.

wlan0     IEEE 802.11  ESSID:"HUAWEI-2.4GHz" 
          Mode:Managed  Frequency:2.432 GHz  Access Point: B4:86:55:63:C3:B2   
          Bit Rate=300 Mb/s   Tx-Power=22 dBm   
          Retry short limit:7   RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:on
          Link Quality=52/70  Signal level=-58 dBm 
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:72   Missed beacon:0

eth0      no wireless extensions.
kone3:~ # zypper if kernel-firmware
Loading repository data...
Reading installed packages...


Information for package kernel-firmware:
----------------------------------------
Repository     : Perusasennuslähde päivityksille         
Name           : kernel-firmware                         
Version        : 20190618-lp151.2.6.1                   
Arch           : noarch                                 
Vendor         : openSUSE                               
Installed Size : 432.5 MiB                               
Installed      : Yes                                     
Status         : up-to-date                             
Source package : kernel-firmware-20190618-lp151.2.6.1.src
Summary        : Linux kernel firmware files             
Description    :                                         
    This package contains the firmware for in-kernel drivers that was
    previously included in the kernel. It is shared by all kernels >=
    2.6.27-rc1.

kone3:~ # dmesg | grep iwl
[    7.532708] iwlwifi 0000:00:14.3: enabling device (0000 -> 0002)
[    7.541541] iwlwifi 0000:00:14.3: loaded firmware version 38.755cfdd8.0 op_mode iwlmvm
[    7.568577] iwlwifi 0000:00:14.3: Detected Intel(R) Dual Band Wireless AC 9560, REV=0x318
[    7.617745] iwlwifi 0000:00:14.3: base HW address: 04:ea:56:86:2a:c2
[    7.688025] ieee80211 phy0: Selected rate control algorithm 'iwl-mvm-rs'
[    8.358044] iwlwifi 0000:00:14.3: BIOS contains WGDS but no WRDS
[    8.573514] iwlwifi 0000:00:14.3: BIOS contains WGDS but no WRDS
« Viimeksi muokattu: 21.10.2019 - klo:13:53 kirjoittanut RaijaR »
Pöytäkone NUC Intel NUC8i7BEH, openSUSE Tumbleweed, jossa nippu distroja QEMU/KVM:ssä
Läppäri Acer Aspire V7,  en itsekään tiedä, vaihtuu niin sukkelaan
Läppäri Acer Aspire V5, Windows 10 ja Linux Mint 19.3?
Ja Väinö-minibulli :D

Poissa RaijaR

  • Jäsen
  • Viestejä: 1194
  • Sukupuoli: Nainen
Vs: Wi-fi yhteys pätkii
« Vastaus #1 : 23.10.2019 - klo:18:14 »
(Yksinpuhelu jatkuu...)
Kun wi-fi pätkii niin tulee liitteessä oleva logi, joka alkaa näin:
2019-10-23T16:13:02.553039+03:00 kone3 kernel: [39770.213504] iwlwifi 0000:00:14.3: Microcode SW error detected. Restarting 0x0.
2019-10-23T16:13:02.553054+03:00 kone3 kernel: [39770.213882] iwlwifi 0000:00:14.3: Start IWL Error Log Dump:
2019-10-23T16:13:02.553055+03:00 kone3 kernel: [39770.213888] iwlwifi 0000:00:14.3: Status: 0x00000080, count: 6
2019-10-23T16:13:02.553055+03:00 kone3 kernel: [39770.213892] iwlwifi 0000:00:14.3: Loaded firmware version: 46.6bf1df06.0

Mitä tämä  firmware version 46.6bf1df06.0 tarkoittaa? Onko se koko kernel-firmwaren versio (Repository: openSUSE:Factory,Name : kernel-firmware, Version: 20190909-1.1) vai Intel AC 9560 käyttämä versio?
Mistä tiedän, että minulla on käytössäni uusin versio?

Intelin support sivuilla sanotaan, että sopiva ajuri on (tosin kernelin versio on vanha tähän Tumbleweediin, mutta nimi lienee oikein)
Intel® Wireless-AC 9560   4.14+   iwlwifi-9000-pu-b0-jf-b0-34.618819.0.tgz

Luulen, että ko. tarvitsemani tiedosto on nimeltään iwlwifi-9000-pu-b0-jf-b0-46.ucode...?

Meneekö tämä niin, että jostain pitäisi löytää korjattu iwlwifi-9000-pu-b0-jf-b0-46.ucode -tiedosto ja saada se survottua Tumbleweediin?
Ehtisikö joku antaa vinkkiä tähän ajuriongelmaan (itse olen jo aivan sekaisin asian kanssa  ???

Ai niin, ehdin jo päivittää Leap 15.1 -> Tumbleweediin
Pöytäkone NUC Intel NUC8i7BEH, openSUSE Tumbleweed, jossa nippu distroja QEMU/KVM:ssä
Läppäri Acer Aspire V7,  en itsekään tiedä, vaihtuu niin sukkelaan
Läppäri Acer Aspire V5, Windows 10 ja Linux Mint 19.3?
Ja Väinö-minibulli :D

Poissa peran

  • Käännösryhmä
  • *
  • Viestejä: 410
Vs: Wi-fi yhteys pätkii
« Vastaus #2 : 23.10.2019 - klo:19:06 »
Käsittääkseni firmware on laitteen tarvitsema koodinpätkä, jotta laite toimisi oikein.

Firmis pitää kopioida oikeaan hakemistoon, jotta käyttöjärjestelmä osaa syöttää sen kyseiselle laitteelle. Hakemistoa en valitettavasti tiedä varmuudella, mutta ainakin Lubuntussa oikealta haiskahtava hakemisto on /lib/firmware. Varmuutta asiasta en kuitenkaan uskalla antaa, joten kokeilut ovat omaa uskallustasi, enkä tiedä niistä mitään. Sen nyt voin sanoa melko varmasti, ettei kyseiseen kansioon kannata laittaa tiedostoja, jotka ovat saman nimisiä jonkun vanhan firmiksen kanssa.

Kopioinin jälkeen kannattaa uudelleen käynnistää OpenSUSE, ja toivoa, että se myös käynnistyy uudelleen.

Debianille näyttää olevan paketti, jossa on kyseiset firmikset.
https://packages.debian.org/fi/sid/firmware-iwlwifi

Lisää ohjeita...
https://wireless.wiki.kernel.org/en/users/drivers/iwlwifi

Löytyy myös SUSElle ohjeita...
https://forums.opensuse.org/showthread.php/531383-NetworkManager-do-not-work-with-iwlwifi-Intel-Wireless-8265-8275

« Viimeksi muokattu: 23.10.2019 - klo:19:16 kirjoittanut peran »

Poissa RaijaR

  • Jäsen
  • Viestejä: 1194
  • Sukupuoli: Nainen
Vs: Wi-fi yhteys pätkii
« Vastaus #3 : 23.10.2019 - klo:19:20 »
Löytyvät juurikin tuolta maitsemastasi hakemistosta (/lib/firmware/). Jonkulaisen vinkin löysin netistä, että vaihtaa tuolla hakemistossa vanhempaa versioon eli muuvasin siis iwlwifi-9000-pu-b0-jf-b0-46.ucode -> iwlwifi-9000-pu-b0-jf-b0-46.ucode-bad, mutta ei mitään apua. Ainut vaikutus oli versio silti vaihtui virhelogissa: Loaded firmware version: 43.95eb4e97.0  :D

Jäljillä siis ollaan. Voisikohan Kernel-firmware olla vain "varasto" noita firmware-tiedostoja, ilman sen suurempaa järkeä?

Pöytäkone NUC Intel NUC8i7BEH, openSUSE Tumbleweed, jossa nippu distroja QEMU/KVM:ssä
Läppäri Acer Aspire V7,  en itsekään tiedä, vaihtuu niin sukkelaan
Läppäri Acer Aspire V5, Windows 10 ja Linux Mint 19.3?
Ja Väinö-minibulli :D

Poissa peran

  • Käännösryhmä
  • *
  • Viestejä: 410
Vs: Wi-fi yhteys pätkii
« Vastaus #4 : 23.10.2019 - klo:20:02 »
Jäljillä siis ollaan. Voisikohan Kernel-firmware olla vain "varasto" noita firmware-tiedostoja, ilman sen suurempaa järkeä?

Toi ucode ei ole ainoa firmiksen pääte ...

... niitä näyttäisi olevan myös .fw, bin ja hex, joista valistuneella arvauksella hex on heksadesimaali-tiedosto binääristä.

Poissa RaijaR

  • Jäsen
  • Viestejä: 1194
  • Sukupuoli: Nainen
Vs: Wi-fi yhteys pätkii
« Vastaus #5 : 23.10.2019 - klo:21:49 »

Debianille näyttää olevan paketti, jossa on kyseiset firmikset.
https://packages.debian.org/fi/sid/firmware-iwlwifi

Kävin katsomassa tuota Debianin pakettia, mutta sielläkin on tuo ei-toimiva versio (tai ainakin saman niminen versio):
 * Intel Wireless 9000 firmware, version 46.a41adfe7.0
   (iwlwifi-9000-pu-b0-jf-b0-46.ucode)

Koville ottaa uudempi versio eli  iwlwifi-9000-pu-b0-jf-b0-XX.ucode XX>46
Pöytäkone NUC Intel NUC8i7BEH, openSUSE Tumbleweed, jossa nippu distroja QEMU/KVM:ssä
Läppäri Acer Aspire V7,  en itsekään tiedä, vaihtuu niin sukkelaan
Läppäri Acer Aspire V5, Windows 10 ja Linux Mint 19.3?
Ja Väinö-minibulli :D

Poissa raimo

  • Jäsen
  • Viestejä: 213
  • Sukupuoli: Mies
Vs: Wi-fi yhteys pätkii
« Vastaus #6 : 23.10.2019 - klo:23:17 »
Mitä jos unohtaisit tuon toimimattoman WLAN:n ja hankkisit USB donglen?
Onko se periksi antamista? :)

Poissa RaijaR

  • Jäsen
  • Viestejä: 1194
  • Sukupuoli: Nainen
Vs: Wi-fi yhteys pätkii
« Vastaus #7 : 24.10.2019 - klo:23:33 »
Mitä jos unohtaisit tuon toimimattoman WLAN:n ja hankkisit USB donglen?
Onko se periksi antamista? :)

Ei käy missään tapauksessa. Ei kuulu meikäläisen tapoihin antaa periksi  :)
Tuo AC9560 wifi korttihan on dual band kortti ja 2.4 GHz:llä toimii, mutta 5 GHz ei toimi. Eikä toimi tässä NUC raudassa 5 GHz LinuxMintilläkään. Pakko se on vika tuossa AC9650:n ajurissa olla (?).
Pöytäkone NUC Intel NUC8i7BEH, openSUSE Tumbleweed, jossa nippu distroja QEMU/KVM:ssä
Läppäri Acer Aspire V7,  en itsekään tiedä, vaihtuu niin sukkelaan
Läppäri Acer Aspire V5, Windows 10 ja Linux Mint 19.3?
Ja Väinö-minibulli :D

Poissa RaijaR

  • Jäsen
  • Viestejä: 1194
  • Sukupuoli: Nainen
Vs: Wi-fi yhteys pätkii -taisi korjaantua
« Vastaus #8 : 25.10.2019 - klo:19:50 »
Tuli nippu korjauksia Tumbleweediin (mm. firmware tiedostoja) ja nyt on 5 GHz wifi pysynyt tolkuissaan. Äkkiseltään näyttää, että iwlwifin versio pakitettiin 46 -> 43? Tämä on vain minun valistunut arvaukseni.  ;D

kone3:~ # hexdump -C -n 512 iwlwifi-9000-pu-b0-jf-b0-46.ucode

00000000  00 00 00 00 49 57 4c 0a  72 65 6c 65 61 73 65 2f  |....IWL.release/|
00000010  63 6f 72 65 34 33 3a 3a  36 62 66 31 64 66 30 36  |core43::6bf1df06|
00000020  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00  |................|

Pöytäkone NUC Intel NUC8i7BEH, openSUSE Tumbleweed, jossa nippu distroja QEMU/KVM:ssä
Läppäri Acer Aspire V7,  en itsekään tiedä, vaihtuu niin sukkelaan
Läppäri Acer Aspire V5, Windows 10 ja Linux Mint 19.3?
Ja Väinö-minibulli :D

Poissa mrl586

  • Jäsen
  • Viestejä: 162
Vs: Wi-fi yhteys pätkii
« Vastaus #9 : 02.11.2019 - klo:12:30 »
Onko käytössä LEAP vai Tumbleweed? Kernelin versio 4.14.x on jälkimmäisen tapauksessa sangen vanha.

Poissa RaijaR

  • Jäsen
  • Viestejä: 1194
  • Sukupuoli: Nainen
Vs: Wi-fi yhteys pätkii
« Vastaus #10 : 02.11.2019 - klo:14:00 »
Ensin oli Leap 15.1, mutta sillä en saanut toimimaan.
Vaihdoin Tumbleweediin, eikä sekään ensialkuun pelittänyt, mutta korjausten myötä vika korjautui.

Noissa minun postauksissa näyttää olevan selvyydessä vähän toivomisen varaa.

Summasummarum: nyt toimii myös dual bandin molemmat taajuudet (2.4 GHz ja 5 GHz) Tumbleweedissä.  :D. Leap 15.1 tilanteesta en osaa sanoa mitään.
Pöytäkone NUC Intel NUC8i7BEH, openSUSE Tumbleweed, jossa nippu distroja QEMU/KVM:ssä
Läppäri Acer Aspire V7,  en itsekään tiedä, vaihtuu niin sukkelaan
Läppäri Acer Aspire V5, Windows 10 ja Linux Mint 19.3?
Ja Väinö-minibulli :D